## linkchecker-4.2.tar.gz

=== Makefile ===
# This Makefile is only used by developers.
PYVER := 2.4
PYTHON := python$(PYVER)
VERSION := $(shell $(PYTHON) setup.py --version)
HOST=www.debian.org
LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
# all Python files in the source
PYFILES = $(wildcard *.py) linkchecker linkcheck tests
PYLINT := env PYTHONPATH=. PYLINTRC=config/pylintrc $(PYTHON) /usr/bin/pylint
PYLINTOPTS := --disable-msg-cat=C,R,W
PYFLAKES:=python$(PYVER) /usr/bin/pyflakes
PYTHONSVN := /home/calvin/src/python-svn
# build dir for svn-buildpackage
SVNBUILD:=/home/calvin/src/build-area
DEB_ORIG_TARGET:=$(SVNBUILD)/linkchecker_$(VERSION).orig.tar.gz


.PHONY: all
all:
	@echo "Read the file doc/install.txt to see how to build and install this package."

.PHONY: clean
clean:
# ignore errors of this command
	-$(PYTHON) setup.py clean --all
	rm -f sign-stamp release-stamp
	$(MAKE) -C po clean
	rm -f linkcheck/HtmlParser/htmlsax.so
	rm -f linkcheck/HtmlParser/*.output
	rm -f linkcheck/ftpparse/_ftpparse.so
	find . -name '*.py[co]' -exec rm -f {} \;

.PHONY: distclean
distclean: clean cleandeb
# just to be sure clean also the build dir
	rm -rf dist build
	rm -f _linkchecker_configdata.py MANIFEST Packages.gz
# clean aborted dist builds and -out files
	rm -f linkchecker-out* linkchecker.prof
	rm -rf linkchecker-$(VERSION)
	rm -rf coverage dist-stamp python-build-stamp*

.PHONY: cleandeb
cleandeb:
	rm -rf debian/linkchecker debian/tmp
	rm -f debian/*.debhelper debian/{files,substvars}
	rm -f configure-stamp build-stamp

MANIFEST: MANIFEST.in setup.py
	$(MAKE) -C doc/en all nav
	$(PYTHON) setup.py sdist --manifest-only

.PHONY: locale
locale:
	$(MAKE) -C po

# to build in the current directory
.PHONY: localbuild
localbuild: MANIFEST
	$(MAKE) -C linkcheck/HtmlParser
	$(PYTHON) setup.py build
	cp -f build/lib.linux-i686-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
	cp -f build/lib.linux-i686-$(PYVER)/linkcheck/ftpparse/_ftpparse.so linkcheck/ftpparse

.PHONY: deb_orig
deb_orig:
	if [ ! -e $(DEB_ORIG_TARGET) ]; then \
	  $(MAKE) dist-stamp && \
	  cp dist/linkchecker-$(VERSION).tar.gz $(DEB_ORIG_TARGET); \
	fi

# ready for upload, signed with my GPG key
.PHONY: deb_signed
deb_signed: cleandeb
	(env -u LANG svn-buildpackage --svn-dont-clean --svn-verbose --svn-ignore \
	  --svn-prebuild="$(MAKE) deb_orig" --svn-lintian --svn-linda \
	  -sgpg -pgpg -k$(GPGKEY) -r"fakeroot --" 2>&1) | \
	tee $(SVNBUILD)/linkchecker-$(VERSION).build

.PHONY: files
files:	locale localbuild
	-scripts/run.sh linkchecker $(LCOPTS) http://$(HOST)/
	rm -f linkchecker-out.*.gz
	for f in linkchecker-out.*; do gzip --best $$f; done

.PHONY: upload
upload:
	@echo "Starting releaseforge..."
	@releaseforge
#	ncftpput upload.sourceforge.net /incoming dist/*
#	mozilla -remote "openUrl(https://sourceforge.net/projects/linkchecker, new-tab)"
#	@echo "Make SF release and press return..."
#	@read

.PHONY: release
release: releasecheck distclean dist-stamp sign_distfiles homepage upload
	@echo "Uploading new LinkChecker Homepage..."
	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
	@echo "Register at Python Package Index..."
	$(PYTHON) setup.py register

.PHONY: homepage
homepage:
	$(MAKE) -C doc/en homepage

.PHONY: dist
dist: locale MANIFEST
	$(PYTHON) setup.py sdist --formats=gztar bdist_rpm

dist-stamp:
	$(MAKE) dist
	touch $@

.PHONY: syntaxcheck
syntaxcheck:
	py-verify

.PHONY: releasecheck
releasecheck: syntaxcheck
	@if egrep -i "xx\.|xxxx|\.xx" ChangeLog > /dev/null; then \
	  echo "Could not release: edit ChangeLog release date"; false; \
	fi

.PHONY: sign_distfiles
sign_distfiles:
	for f in dist/*; do \
	  if [ ! -f $${f}.asc ]; then \
	    gpg --detach-sign --armor $$f; \
	  fi; \
	done

.PHONY: test
test:	localbuild
	scripts/test.sh

.PHONY: pylint
pylint:
	$(PYLINT) $(PYLINTOPTS) $(PYFILES) | \
	  grep -v "Undefined variable '_'" | \
	  grep -v "Undefined variable '_n'" | \
	  uniq

.PHONY: pyflakes
pyflakes:
	$(PYFLAKES) $(PYFILES) | \
          grep -v "redefinition of unused 'linkcheck'" | \
          grep -v "undefined name '_'" | \
	  grep -v "undefined name '_n'"

.PHONY: reindent
reindent:
	$(PYTHON) config/reindent.py -r -v linkcheck

# Compare custom Python files with the original ones from subversion.
.PHONY: diff
diff:
	@for f in gzip robotparser httplib; do \
	  echo "Comparing $${f}.py"; \
	  diff -u linkcheck/$${f}2.py $(PYTHONSVN)/Lib/$${f}.py | less; \
	done

# various python check scripts
.PHONY: various
various:
	py-check-append $(PYFILES)
	py-clean-future -r $(PYFILES)
	py-find-nocoding $(PYFILES)

=== debian/changelog ===
linkchecker (4.2-1) unstable; urgency=low

  * New upstream release.
  * Update dependencies for Python transition

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 14 Jun 2006 18:00:13 +0200

linkchecker (4.1-1) unstable; urgency=low

  * New upstream release.
    - avoids exceptions on shutdown (Closes: #368325)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 23 May 2006 21:57:14 +0200

linkchecker (4.0-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.7.2.0

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 14 May 2006 10:45:12 +0200

linkchecker (3.4-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v5
  * Remove now-obsolete linkchecker-ssl conflict

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  3 Jan 2006 19:18:22 +0100

linkchecker (3.3-1) unstable; urgency=low

  * New upstream release.
    - fixes checking of local files (Closes: #332870)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 10 Oct 2005 23:55:56 +0200

linkchecker (3.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 20 Jul 2005 11:04:39 +0200

linkchecker (3.1-1) unstable; urgency=low

  * New upstream release.
    - bogus errors are not cached anymore (Closes: #307877)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Jul 2005 17:11:48 +0200

linkchecker (3.0-1) unstable; urgency=low

  * New upstream release.
    Thanks to the various Debian bug reporters these bugs are fixed
    upstream:
    - only generates ~/.linkchecker/ when it is needed
      (Closes: #307876)
    - uses new URL filtering instead of --intern/--extern
      (Closes: #307915)
    - fixes man page quotes, url vs. URL and encoding URLs.
      (Closes: #307917, #307916, #307808)
    - uses the preferred encoding instead of a hardcoded one
      (Closes: #307810)
    - removes unused robotstxt config var
      (Closes: #308146)
    - fixes bash-completion script
      (Closes: #309076)
    - fixes invalid log level
      (Closes: #316737)
    - fixes german man page typos
      (Closes: #313994)
  * Remove unnecessary README documentation file
  * Updated standards version to 3.6.2.1

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 27 Apr 2005 12:11:10 +0200

linkchecker (2.9-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 13 Apr 2005 23:03:52 +0200

linkchecker (2.8-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 31 Mar 2005 17:00:29 +0200

linkchecker (2.7-1) unstable; urgency=low

  * New upstream release.
    (Closes: #301529) - mailto-check is incomplete

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 29 Mar 2005 17:43:01 +0200

linkchecker (2.6-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  4 Mar 2005 21:31:44 +0100

linkchecker (2.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Feb 2005 14:56:49 +0100

linkchecker (2.4-2) unstable; urgency=low

  * import profile module conditionally, and suggest python2.4-profiler
    package

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 10 Feb 2005 15:02:51 +0100

linkchecker (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  7 Feb 2005 01:31:03 +0100

linkchecker (2.3-1) unstable; urgency=low

  * New upstream release.
  * Depend on python 2.4 packages.
  * Make python2.4-optcomplete a suggestion.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Jan 2005 20:24:12 +0100

linkchecker (2.2-1) unstable; urgency=low

  * New upstream release.
  * Suggest psyco

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 20 Jan 2005 20:57:12 +0100

linkchecker (2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-optcomplete.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 10 Jan 2005 16:05:44 +0100

linkchecker (2.0-1) unstable; urgency=low

  * New upstream release.
  * use cdbs for package compilation
  * use ${python:Depends}

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 24 Nov 2004 11:17:34 +0100

linkchecker (1.99+2.0rc2-1) unstable; urgency=low

  * New upstream release (2.0 release candidate).

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 18 Nov 2004 01:59:55 +0100

linkchecker (1.99+2.0rc1-1) unstable; urgency=low

  * New upstream release (2.0 release candidate).

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 25 Oct 2004 23:16:37 +0200

linkchecker (1.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 20 Sep 2004 11:10:28 +0200

linkchecker (1.13.4-1) unstable; urgency=medium

  * New upstream release, fixing serious bug. Medium urgency.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 14 Sep 2004 21:50:44 +0200

linkchecker (1.13.3-1) unstable; urgency=low

  * New upstream release.
  * of course the last entry meant 'move old config file' instead of
    'move old logfiles'

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 10 Sep 2004 09:53:48 +0200

linkchecker (1.13.2-1) unstable; urgency=low

  * New upstream release.
  * move old logfiles to /etc/linkchecker/linkcheckerrc.old in the
    postinst script

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  8 Sep 2004 13:56:44 +0200

linkchecker (1.13.1-2) unstable; urgency=low

  * Added access notes about CGI script to README.Debian
    (Closes: #263568)

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  5 Sep 2004 12:53:55 +0200

linkchecker (1.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu,  2 Sep 2004 23:13:03 +0200

linkchecker (1.13.0-1) unstable; urgency=low

  * New upstream release.
  * added debian/watch file
  * added NEWS.Debian

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  1 Sep 2004 12:10:36 +0200

linkchecker (1.12.3-1) unstable; urgency=low

  * New upstream release.
  * add lintian overrides



=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: python-all-dev (>= 2.3.5-10), debhelper (>= 5.0.37.1), gettext, cdbs (>= 0.4.41), python-central (>= 0.4.17)
XS-Python-Standards-Version: 0.4
XS-Python-Version: >= 2.4
Standards-Version: 3.7.2.0

Package: linkchecker
Architecture: any
Depends: ${python:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Suggests: apache | httpd, python-optcomplete (>= 1.2-5), python-profiler (>= 2.4.3-2), python-geoip (>= 1.2.1-2)
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Gopher, Telnet and local
    file links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
